<?php
// Include plugwise class
require_once('Plugwise.class.php');

// Initialize plugwise class
// 1th arg: IPAddress webserver
// 2th arg: Port webserver (default 8080)
// 3th arg: Connection timeout
// 4th arg: Username (if authentication is enabled)
// 5th arg: Password (if authentication is enabled)
$plugwise = new Plugwise('127.0.0.1', 8080, 5, NULL, NULL);

// Get Source software data
echo '<strong>Source date</strong> '.date('d-m-Y H:i:s', $plugwise->getSourceTimeStamp()).'<br />'.PHP_EOL;
echo '<strong>Source version</strong> '.$plugwise->getSourceVersion().'<br />'.PHP_EOL;
echo '<strong>Source XML version</strong> '.$plugwise->getSourceXmlVersion().'<br />'.PHP_EOL;
echo '<strong>Source language</strong> '.$plugwise->getSourceLanguage().'<br />'.PHP_EOL;

// Get all appliances
$allAppliances = $plugwise->getAllAppliances();
echo '<pre>';
print_r($allAppliances);
echo '</pre>';

// Get single appliance
// 1th arg: Appliance address
$singleAppliance = $plugwise->getAppliance('979084');
echo '<pre>';
print_r($singleAppliance);
echo '</pre>';

// Switch ON appliance
if($plugwise->switchOn('979084')) {
    echo 'Appliance 97AAEF switched ON<br />'.PHP_EOL;
}

// Switch OFF appliance
if($plugwise->switchOff('979084')) {
    echo 'Appliance 97AAEF switched OFF<br />'.PHP_EOL;
}

// Lock ON appliance
if($plugwise->lockOn('979084')) {
    echo 'Appliance 97AAEF lock ON<br />'.PHP_EOL;
}

// Lock OFF appliance
if($plugwise->lockOff('979084')) {
    echo 'Appliance 97AAEF lock OFF<br />'.PHP_EOL;
}
?>